Bug 159287 - editors/libreoffice segfaults when some option menu is viewed
editors/libreoffice segfaults when some option menu is viewed
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: office
Depends on:
  Show dependency treegraph
Reported: 2011-07-29 07:20 UTC by pmn
Modified: 2011-10-05 07:50 UTC (History)
0 users

See Also:


Note You need to log in before you can comment on or make changes to this bug.
Description pmn 2011-07-29 07:20:09 UTC
Using libreoffice-3.3.3_2 compiled from the ports on a freshly set up FreeBSD 8.2, when I selec in the menu "Options -> Language settings -> Languages", libreoffice freezes for a second or two, and then segfaults.

How-To-Repeat: In the menu, select Options -> Language settings -> Languages
Comment 1 Mark Linimon freebsd_committer 2011-07-29 08:36:58 UTC
Responsible Changed
From-To: freebsd-ports-bugs->office

Fix synopsis and assign.
Comment 2 dfilter freebsd_committer 2011-09-05 12:45:47 UTC
bapt        2011-09-05 11:45:31 UTC

  FreeBSD ports repository

  Modified files:
    editors/libreoffice  Makefile distinfo 
  Added files:
  Removed files:
    editors/libreoffice/files patch-solenv__inc__unx.mk 
  - update to 3.4.3
  - New options:
    * SYSTRAY to activate the system try icons (quick start)
    * GTK (which to be able to build a completly gtk free version of libreoffice please notice that dependencies can bring back gtk, for example libgsf if not built with the following knob: WITHOUT_GCONF)
    * the GNOME option automatically activate the GTK one
    * PYUNO do enable/disable the build of the python bindings for the UNO framework
  - Disable system notification while building
  - Remove the wiki-publisher extensions, it forces the build to have 3 apache-commons distfiles bundles and one of them the httpclient was failing with some locales activated
  - Use pax instead or tar cf | tar xf, it is way faster to install
  - Fix reading/writting MS Office documents
  - Fix random segfaults: cell rendering options in calc, languages setting in global options
  - Largely reduce built time
  - Unbundle more things
  - Be able to work with packaged hunspell, thesaurus and hyphenation as well as the usual extensions
  - Now cups is mandatory (configure script is bugguy without cups)
  - remove broken
  PR:             ports/157357 ports/156038 ports/158945 ports/159287 ports/160023
  Submitted by:   Hartmann, O. <ohartman@zedat.fu-berlin.de> (ports/157357),
                  Kuan-Chung Chiu <buganini@gmail.com> (ports/156038),
                  Dmitry Pryanishnikov <lynx.ripe@gmail.com> (ports/158945),
                  Adrien <pmn@bakarika.net> (ports/159287),
                  Travis Hunter <travis.hunter@gmail.com> (ports/160023),
                  gcooper@ (ports/160318)
  With hat:       office@
  Revision  Changes    Path
  1.25      +124 -64   ports/editors/libreoffice/Makefile
  1.7       +46 -50    ports/editors/libreoffice/distinfo
  1.1       +14 -0     ports/editors/libreoffice/files/patch-clone__components__automation__source__testtool__objtest.cxx (new)
  1.2       +3 -3      ports/editors/libreoffice/files/patch-clone__filters__oox__source__token__makefile.mk
  1.1       +15 -0     ports/editors/libreoffice/files/patch-clone_libs-gui__tools__inc__solar.h (new)
  1.2       +5 -5      ports/editors/libreoffice/files/patch-clone_ure_sal_inc_sal_main.h
  1.2       +79 -3     ports/editors/libreoffice/files/patch-configure.in
  1.1       +26 -0     ports/editors/libreoffice/files/patch-set_soenv_in (new)
  1.2       +0 -17     ports/editors/libreoffice/files/patch-solenv__inc__unx.mk (dead)
  1.2       +22 -18    ports/editors/libreoffice/files/patch-solenv__inc__unxfbsd.mk
cvs-all@freebsd.org mailing list
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Baptiste Daroussin freebsd_committer 2011-09-05 12:48:00 UTC
State Changed
From-To: open->closed

Should be fixed in libreoffice 3.4.3.
Comment 4 Wayne Sierke 2011-10-05 07:34:22 UTC
I recently installed libreoffice-3.4.3_1 to replace openoffice and the
OP problem still occurs for me. That is, libreoffice will crash by

"Tools->Options->Language Settings->Languages"

and also occurs when selecting 

"Tools->Language->For all Text->More..."

# make showconfig
===> The following configuration options are available for
     WEBDAV=off "Support webdav protocol"
     KDE4=off "With Qt4/KDE4 vclplug support"
     GTK=on "With GTK vclplug support"
     GNOME=on "Better integration in gnome environnement"
     JAVA=off "Add Java support (XML Filters, macros)"
     PYUNO=off "Allow to script libreoffice in python"
     SYSTRAY=off "Enable systemtry quickstarter"
     MMEDIA=off "Enable multimedia backend for impress"
     SDK=off "Build with SDK"
     DEBUG=off "Build with debug symbols and verbose output"
===> Use 'make config' to modify these settings
# uname -rms
FreeBSD 8.2-RELEASE i386